import { StyleSheet } from 'fela-tools'
import layoutRule from '../../rules/layout/layout'

export default StyleSheet.create({
  row: ({ divider, layout }) => ({
    extend: [{
      condition: divider,
      style: {
        divider
      }
    }, {
      condition: layout,
      style: layoutRule(layout)
    }]
  })
})
