import { StyleSheet } from 'fela-tools'
import { BLIP } from '../../core/constants'
import disc from '../../rules/disc/disc'

export default StyleSheet.create({
  blip: ({ offset, fillColor, ringColor }) => ({
    margin: offset ? BLIP.SIZE * -0.5 : null,
    border: {
      width: BLIP.RING,
      color: ringColor
    },
    extend: disc({
      size: BLIP.SIZE,
      fill: fillColor
    })
  })
})
